Summary: 	The Perl programming language.
Name: 		perl
Version: 	5.10.0
Release: 	1
Provides: 	perl5
Copyright: 	GPL
Group: 		Perl
Source0: 	http://www.perl.com/CPAN/src/%{name}-%{version}.tar.gz
Buildroot: 	%{_tmppath}/%{name}
Provides: 	Base => %{version}

%description
Perl is a high-level programming language with roots in C, sed, awk
and shell scripting.  Perl is good at handling processes and files,
and is especially good at handling text.  Perl's hallmarks are
practicality and efficiency.  While it is used to do a lot of
different things, Perl's most common applications (and what it excels
at) are probably system administration utilities and web programming.
A large proportion of the CGI scripts on the web are written in Perl.
You need the perl package installed on your system so that your
system can handle Perl scripts.

%package     docman-devel
Summary:     Perl5 manual, docs & instruction page(s).
Group:       Development
%description docman-devel
Information, Documentation with manual pages for %{name}.

%prep
%setup -q

%build
sh Configure \
  -des -Darchname=${RPM_ARCH}-linux -Dd_dosuid -Ud_csh -Duseshrplib \
  -Doptimize="$RPM_OPT_FLAGS" -Dprefix=/usr -Dusedevel \
  -Dman1dir=%{_mandir}/man1 -Dman3dir=%{_mandir}/man3 \
  -Dusethreads -Uinstallusrbinperl -Uversiononly

make all test

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

cd $RPM_BUILD_ROOT%{_bindir}
ln -s perl%{version} perl5
ln -sf perl5 perl
ln -s sperl%{version} sperl5
ln -sf sperl5 sperl
cd ../lib
ln -sf perl5/%{version}/i386-linux-thread-multi/CORE/libperl.so libperl.so

export LD_LIBRARY_PATH=$(pwd)
# Generate *.ph files with a trick. Is this sick or what ?
make all -f - <<EOF
PKGS	= glibc-devel gdbm-devel gpm-devel libgr-devel libjpeg-devel \
	  libpng-devel libtiff-devel ncurses-devel popt \
	  zlib-devel binutils libelf e2fsprogs-devel pam pwdb \
	  rpm-devel
STDH	= \$(filter %{_includedir}/%%, \$(shell rpm -q --queryformat '[%%{FILENAMES}\n]' \$(PKGS)))
STDH	+=\$(wildcard %{_includedir}/linux/*.h) \$(wildcard %{_includedir}/asm*/*.h) \$(wildcard %{_includedir}/scsi/*.h)
GCCDIR	= \$(shell gcc --print-file-name include)
GCCH	= \$(filter \$(GCCDIR)/%%, \$(shell rpm -q --queryformat '[%%{FILENAMES}\n]' gcc))

PERLLIB = $RPM_BUILD_ROOT%{_libdir}/perl5/%{version}
PERL	= PERL5LIB=\$(PERLLIB) $RPM_BUILD_ROOT%{_bindir}/perl
H2PH	= \$(PERL) $RPM_BUILD_ROOT%{_bindir}/h2ph -d $RPM_BUILD_ROOT%{_libdir}/perl5/%{version}/%{_arch}-linux-thread-multi/

all: std-headers gcc-headers

std-headers: \$(STDH)
	cd %{_includedir} && \$(H2PH) \$(STDH:%{_includedir}/%%=%%)

gcc-headers: \$(GCCH)
	cd \$(GCCDIR) && \$(H2PH) \$(GCCH:\$(GCCDIR)/%%=%%)
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin
/usr/lib

%files docman-devel
%defattr(-,root,root)
%doc Artistic README
%{_mandir}
